# $Id: pgrpm.spec 100595 2006-12-20 20:44:47Z nanardon $

%define _pg_pkglibdir %([ -f /usr/bin/pg_config ] && /usr/bin/pg_config --pkglibdir)
%define _pg_datadir %([ -f /usr/bin/pg_config ] && /usr/bin/pg_config --sharedir)

%define name pgrpm
%define version 0.1.9
%define release %mkrel 4

Summary: RPM binding for postgresql
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
# Thanks to rpm.org to break compatibilty in way
# they force us to make a patch, showing warnings
# would have been anough w/o forcing everyone to make
# patch
Patch0:  rpm-44-compat.patch
License: GPL
Group: Databases
Url: http://pgfoundry.org/projects/pgrpm/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: postgresql-devel
BuildRequires: rpm-devel
%if %{?pgmodules_req:1}%{!?pgmodules_req:0}
%pgmodules_req
%endif

%description
This contribution to postgres provides functions and operators to allow
sorting and checking strings version like rpm does.

%prep
%setup -q
%patch0 -b .rpm44-compat

%build
make

cat > README.urpmi <<EOF
Remember to run %_pg_datadir/contrib/pgrpm.sql or
%_pg_datadir/contrib/pgrpm-update.sql to finalyze
installation into your postgresql server.
Something like:
  psql -U postgres template1 < FILE
should works.
EOF

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -fr %buildroot%_datadir/doc/postgresql

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*
%_pg_pkglibdir/*.so
%_pg_datadir/contrib/*


%changelog
* Wed Jul 29 2009 Olivier Thauvin <nanardon@mandriva.org> 0.1.9-4mdv2010.0
+ Revision: 403171
- rebuild for postgresql 8.4

* Thu Mar 05 2009 Olivier Thauvin <nanardon@mandriva.org> 0.1.9-3mdv2009.1
+ Revision: 348736
- rpm 4.4 compatibilty

* Thu Jul 24 2008 Olivier Thauvin <nanardon@mandriva.org> 0.1.9-2mdv2009.0
+ Revision: 246633
- get directory from pg_config, then make it backportable

* Thu Jul 24 2008 Olivier Thauvin <nanardon@mandriva.org> 0.1.9-1mdv2009.0
+ Revision: 244999
- 0.1.9

* Thu Jul 10 2008 Olivier Thauvin <nanardon@mandriva.org> 0.1.8-1mdv2009.0
+ Revision: 233273
- 0.1.8
- fix directory for latest postgresql setup

* Wed Mar 19 2008 Götz Waschk <waschk@mandriva.org> 0.1.7-4mdv2008.1
+ Revision: 188865
- rebuild for missing package

* Mon Feb 25 2008 Olivier Thauvin <nanardon@mandriva.org> 0.1.7-3mdv2008.1
+ Revision: 175132
- upstream patch0: take care to null ptr

* Fri Feb 15 2008 Olivier Thauvin <nanardon@mandriva.org> 0.1.7-1mdv2008.1
+ Revision: 168987
- 0.1.7

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-not-capitalized
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Jun 10 2007 Olivier Thauvin <nanardon@mandriva.org> 0.1.5.1-3mdv2008.0
+ Revision: 37850
- rebuild for rpm


* Wed Dec 20 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.5.1-2mdv2007.0
+ Revision: 100595
- fix buildrequires when building srpms w/o deps
- rebuild for postgresql
- pgrpm-0.1.5.1-1mdv2007.0
- pgrpm-0.1.5-1mdv2007.0
- pgrpm-0.1.4-5mdv2007.0
- initial import

* Wed Jun 21 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.5.1-1mdv2007.0
- 0.1.5.1

* Tue Jun 20 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.5-1mdv2007.0
- 0.1.5

* Wed Mar 15 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.4-5mdk
- rebuild for latest rpm

* Wed Mar 15 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.4-4mdk
- ???

* Fri Jan 06 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.4-3mdk
- rebuild for rpm 4.4.4

* Fri Nov 11 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.4-2mdk
- add %%pgmodules_req to ensure proper update

* Thu Nov 10 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.4-2mdk
- rebuild for latest postgres

* Thu Sep 29 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.4-1mdk
- 0.1.4

* Sun Sep 18 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.3.2-1mdk
- 0.1.3.2

* Mon Aug 22 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.3.1-1mdk
- 0.1.3.1

* Mon Aug 22 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.3-1mdk
- 0.1.3

* Tue May 17 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.2-1mdk
- 0.1.2

* Thu May 12 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-2mdk
- rebuild for rpm

* Fri Apr 22 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-1mdk
- 0.1.1

* Thu Apr 21 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.0-1mdk
- 0.1.0

* Sat Mar 26 2005 Olivier Thauvin <nanardon@mandrake.org> 0.0.2-1mdk
- 0.0.2

* Thu Mar 24 2005 Olivier Thauvin <nanardon@mandrake.org> 0.0.1-2mdk
- patch0: fix create function

* Wed Mar 23 2005 Olivier Thauvin <nanardon@mandrake.org> 0.0.1-1mdk
- 1st package

